## drawtk 1.0b

=== doc/examples/Makefile ===
LIBS=-ldrawtk

all: bounce bars errormon

bounce: bounce.c
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

bars: bars.c
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

errormon: errormon.c
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

clean:
	$(RM) bounce bars errormon

=== debian/changelog ===
drawtk (1.0b-1) unstable; urgency=low

  [ Michael Hanke ]
  * Switch to source package format 3.0 (quilt).
  * Only provide an unversioned libdrawtk-dev package.
  * DEP5 compliant debian/copyright.
  * Bump Standards-version to 3.9.2 -- no changes necessary.
  * Remove unncessary build-dependency on libc6-dev (build-essential).
  * Tighten build-dependency on debhelper to >= 7.0.50~, due to _override
    rules.

  [ Nicolas Bourdaud ]
  * Add debian/watch (and specify upstream source)
  * Fix debian/copyright
  * Add Vcs-Git and Vcs-Browser field in debian/control
  * Add -dbg package
  * install docs or examples in the doc folder of libdrawtk0, symlink the
    other doc folder to it. NEWS, AUTHORS and README are now installed. 
  * Use dpkg-buildflags to set compilation flags

  * Upload sponsored by Michael Hanke <mih@debian.org> 
  * Initial release. (Closes: #646948) 

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Fri, 04 Nov 2011 12:01:43 +0100

drawtk (1.0-1) lucid; urgency=low

  * Disable test when building debian packages
  * Force -O3 compilation flag when noopt is not set

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Tue, 18 Oct 2011 14:16:19 +0200

drawtk (1.0-0) lucid; urgency=low

  * Relicence into LGPL3+
  * Adds support for video
  * Fix font pattern matching
  * new example: errmon.c
  * Add symbol file
  * Use debhelper instead of cdbs for creating the debian package
  * Use hash for faster texture lookup

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Mon, 8 August 2011 09:44:00 +0200

drawtk (0.0-0) lucid; urgency=low

  * Remove depency_libs from libtool files (*.la).

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 18 May 2011 16:11:00 +0200

drawtk (0.0) unstable; urgency=low

  * Initial Release.

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 11 May 2011 13:31:00 +0200

=== debian/control ===
Source: drawtk
Section: libs
Priority: extra
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
 libsdl1.2-dev, libfreeimage-dev, libfreetype6-dev, libfontconfig-dev,
 libgl1-mesa-dev | libgl-dev, libgstreamer-plugins-base0.10-dev
Standards-Version: 3.9.2
Vcs-Git: git://cnbisrv02.epfl.ch:443/pkg-drawtk.git
Vcs-Browser: http://cnbisrv02.epfl.ch/cgit/pkg-drawtk.git
Homepage: http://cnbi.epfl.ch/software/drawtk.html

Package: libdrawtk0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to simple and efficient 2D drawings
 This package provides an C library to perform efficient 2D drawings. The
 drawing is done by OpenGL which allow us fast and nice rendering of basic
 shapes, text, images and videos. It has been implemented as a thin layer
 that hides the complexity of the OpenGL library.

Package: libdrawtk0-dbg
Section: debug
Architecture: any
Depends: libdrawtk0 (= ${binary:Version}), ${misc:Depends}
Description: Library to simple and efficient 2D drawings (debugging symbols)
 This package provides an C library to perform efficient 2D drawings. The
 drawing is done by OpenGL which allow us fast and nice rendering of basic
 shapes, text, images and videos. It has been implemented as a thin layer
 that hides the complexity of the OpenGL library.
 .
 This package provides the debugging symbols for the library.
 
Package: libdrawtk-dev
Section: libdevel
Architecture: any
Depends: libdrawtk0 (= ${binary:Version}), ${misc:Depends}
Description: Library to simple and efficient 2D drawings (development files)
 This package provides an C library to perform efficient 2D drawings. The
 drawing is done by OpenGL which allow us fast and nice rendering of basic
 shapes, text, images and videos. It has been implemented as a thin layer
 that hides the complexity of the OpenGL library.
 .
 This package contains the files needed to compile and link programs which
 use drawtk.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
export CFLAGS?=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS?=$(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS+=-O3
endif


%:
	dh  $@

# This disable test when building the package. The rationale is that the
# tests program are interactive and need a X11 session which is not the
# case for autobuilder systems
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs --link-doc=libdrawtk0

override_dh_strip:
	dh_strip --dbg-package=libdrawtk0-dbg

## drawtk 2.0

=== debian/changelog ===
drawtk (2.0-2ubuntu1) trusty; urgency=medium

  * Fix FTBFS including freetype (LP: #1277213):
    - new patch fix-freetype-includes.patch

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 27 Feb 2014 00:39:56 +0100

drawtk (2.0-2) unstable; urgency=low

  * Add bugfix: fix-duplicated-font.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 14 Jun 2012 15:03:39 +0200

drawtk (2.0-1) unstable; urgency=low

  * New upstream: drawtk-2.0
  * Use of dh_autoreconf
  * Make Vcs-* fields in debian/control points Alioth repository
  * Install NEWS and AUTHORS files in libdrawtk0 docs
  * install the examples uncompressed in the examples subfolder
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.
  * Update debian/copyright.
  * Bump Debian policy version to 3.9.3 -- no changes.

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 16 May 2012 19:36:38 +0200

=== debian/control ===
Source: drawtk
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 libsdl1.2-dev, libfreeimage-dev, libfreetype6-dev, libfontconfig-dev,
 libgl1-mesa-dev | libgl-dev, libgstreamer-plugins-base0.10-dev
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/drawtk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/drawtk.git
Homepage: http://cnbi.epfl.ch/software/drawtk.html

Package: libdrawtk0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to simple and efficient 2D drawings
 This package provides an C library to perform efficient 2D drawings. The
 drawing is done by OpenGL allowing fast and nice rendering of basic shapes,
 text, images and videos. It has been implemented as a thin layer that hides
 the complexity of the OpenGL library.

Package: libdrawtk0-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libdrawtk0 (= ${binary:Version}), ${misc:Depends}
Description: Library to simple and efficient 2D drawings (debugging symbols)
 This package provides an C library to perform efficient 2D drawings. The
 drawing is done by OpenGL allowing fast and nice rendering of basic shapes,
 text, images and videos. It has been implemented as a thin layer that hides
 the complexity of the OpenGL library.
 .
 This package provides the debugging symbols for the library.
 
Package: libdrawtk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdrawtk0 (= ${binary:Version}), ${misc:Depends}
Description: Library to simple and efficient 2D drawings (development files)
 This package provides an C library to perform efficient 2D drawings. The
 drawing is done by OpenGL allowing fast and nice rendering of basic shapes,
 text, images and videos. It has been implemented as a thin layer that hides
 the complexity of the OpenGL library.
 .
 This package contains the files needed to compile and link programs which
 use drawtk.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export DEB_CFLAGS_MAINT_APPEND=-O3
endif


%:
	dh  $@ --with autoreconf

# This disable test when building the package. The rationale is that the
# tests program are interactive and need a X11 session which is not the
# case for autobuilder systems
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs --link-doc=libdrawtk0

override_dh_strip:
	dh_strip --dbg-package=libdrawtk0-dbg

override_dh_compress:
	dh_compress --exclude=examples

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://cnbisrv02.epfl.ch/packages/drawtk/drawtk-(\d+\.\d+[[:lower:]]?)\.tar\.bz2
